#include "kp_struct.h"

#define MY_KL630_SIN_EXAMPLE_JOB_ID     3002
#include "model_res.h"

/**
 * @brief describe a Video classification result and Prob.
 */
typedef struct {
   
    uint32_t class_ID;
    float class_score;
} __attribute__((aligned(4))) Video_classification_result_t;

typedef struct {
    /* header stamp is necessary for data transfer between host and device */
    kp_inference_header_stamp_t header_stamp;
    uint32_t width;
    uint32_t height;
} __attribute__((aligned(4))) my_kl630_sin_example_header_t;

typedef struct {
    /* header stamp is necessary for data transfer between host and device */
    kp_inference_header_stamp_t header_stamp;

    Video_classification_result_t Video_classification_result;
} __attribute__((aligned(4))) my_kl630_sin_example_result_t;

void my_kl630_sin_example_inf(int job_id, int num_input_buf, void **inf_input_buf_list);
void my_kl630_sin_example_inf_deinit();
//static int find_max_score_index(Video_classification_result_t *_3DCNN_result )